Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern.wildcard
Class WildcardDefinitionPatternMatcherFactory

    java.lang.Object
      org.apache.tiles.definition.pattern.wildcard.WildcardDefinitionPatternMatcherFactory

All Implemented Interfaces:
  DefinitionPatternMatcherFactory, PatternRecognizer

    public class WildcardDefinitionPatternMatcherFactory

extends java.lang.Object
implements DefinitionPatternMatcherFactory, PatternRecognizer

Creates instances of `WildcardDefinitionPatternMatcher`.

Since:
  2.2.0
Version:
  $Rev: 795343 $ $Date: 2009-07-18 13:26:09 +0200 (sab, 18 lug 2009) $

Constructor Summary
`WildcardDefinitionPatternMatcherFactory()`

Method Summary
`DefinitionPatternMatcher` | `createDefinitionPatternMatcher(java.lang.String pattern, Definition definition)` Creates a new definition pattern matcher.
`boolean` | `isPatternRecognized(java.lang.String candidatePattern)` Checks if a pattern is recognized as a pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WildcardDefinitionPatternMatcherFactory

    public WildcardDefinitionPatternMatcherFactory()

Method Detail

### createDefinitionPatternMatcher

    public DefinitionPatternMatcher createDefinitionPatternMatcher(java.lang.String pattern,
                                                                   Definition definition)

  Creates a new definition pattern matcher.

  Specified by:
    `createDefinitionPatternMatcher` in interface `DefinitionPatternMatcherFactory`
  Parameters:
    `pattern` - The pattern to be matched.
    `definition` - The base definition. Created definitions by `DefinitionPatternMatcher.createDefinition(String)` will created with this one as a basis.
  Returns:
    The definition pattern matcher.

### isPatternRecognized

    public boolean isPatternRecognized(java.lang.String candidatePattern)

  Checks if a pattern is recognized as a pattern.

  Specified by:
    `isPatternRecognized` in interface `PatternRecognizer`
  Parameters:
    `candidatePattern` - The pattern to check.
  Returns:
    `true` if the pattern has been recognized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.